#ifndef MAINWIDGET_H

#define MAINWIDGET_H

#include <grale/vector2d.h>
#include <q3mainwindow.h>
#include <qcolor.h>
//Added by qt3to4:
#include <QCloseEvent>
#include <utility>
#include <list>

class QCloseEvent;
class Q3ProgressBar;
class LensWidget;

class MainWidget : public Q3MainWindow
{
	Q_OBJECT;
public:
	MainWidget();
	~MainWidget();
signals:
	void massScaleChanged(double scale);
public slots:
	void sliderChanged(int newValue);
	void onLoadBackgroundImage();
	void onSaveLensedImage();
private:
	void closeEvent(QCloseEvent *pEvt);

	LensWidget *m_pLensWidget;

	static const char *m_logos[];
};

#endif // MAINWIDGET_H

